Skip to main content
GET
/
v2
/
items
/
{id}
Retrieve an Item
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/items/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "item_000000001",
  "name": "GigAndGo",
  "kind": "gig",
  "known_limitations": "First 5 digits of SSN obfuscated.",
  "status": "healthy",
  "status_details": null,
  "logo_url": "argyle.com/image-holdings",
  "is_grouping": false,
  "mapping_status": "verified",
  "features": {
    "data_retrieval": {
      "refresh_frequency": "5h"
    },
    "field_coverage": {
      "identities": {
        "first_name": {
          "supported": true
        },
        "last_name": {
          "supported": true
        },
        "...": {
          "supported": true
        }
      },
      "paystubs": {
        "hours_ytd": {
          "supported": false
        },
        "paystub_period": {
          "start_date": {
            "supported": true
          },
          "end_date": {
            "supported": true
          }
        },
        "gross_pay_list_totals": {
          "base": {
            "hours": {
              "supported": true
            },
            "amount": {
              "supported": true
            },
            "...": {
              "supported": true
            }
          },
          "overtime": {
            "hours": {
              "supported": true
            },
            "amount": {
              "supported": true
            },
            "...": {
              "supported": true
            }
          }
        },
        "...": {
          "supported": true
        }
      },
      "payroll_documents": {
        "...": {
          "supported": true
        }
      },
      "deposit_destinations": {
        "...": {
          "supported": true
        }
      },
      "shifts": {
        "...": {
          "supported": true
        }
      },
      "gigs": {
        "...": {
          "supported": true
        }
      },
      "vehicles": {
        "...": {
          "supported": true
        }
      },
      "ratings": {
        "...": {
          "supported": true
        }
      }
    },
    "direct_deposit_switch": {
      "card": {
        "supported": true,
        "max_allocations": "3"
      },
      "deposit_account": {
        "types": [
          "ach_deposit_account"
        ],
        "supported": true,
        "max_allocations": "2",
        "amount_allocation": false,
        "percent_allocation": true,
        "amount_precision": null,
        "percent_precision": "0.01"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string
required

ID of the Item. ID format — item_123456789

Response

200 - application/json
id
string

Unique ID of the Item. ID format — item_123456789

name
string

Name of the Item.

kind
enum<string>

Type of Item.

Available options:
employer,
gig,
platform,
benefits
known_limitations
string | null

Known limitations of the Item, such as historical data limits, unique behavior, or degree of value obfuscation. Otherwise null.

status
enum<string>

Health status of the Item.

  • healthy — Normal service.
  • issues — Impacted service. New account connections still supported.
  • unavailable — Impacted service. New account connections not supported. Ongoing refresh paused.
Available options:
healthy,
issues,
unavailable
status_details
string | null

Additional details on the Item's health status, such as degraded account connection ability or paused ongoing refresh. Otherwise null.

logo_url
string

URL location of the Item's logo image file.

is_grouping
boolean

true if the Item does not directly support account connections, but instead acts as a container for other Items.

mapping_status
enum<string>

Verification status of the Item.

  • verified — The payroll system associated with the Item is known, and the Item has previously experienced a successful connection that returned paystub data.
  • mapped — The payroll system associated with the Item is known, but the Item is awaiting a successful connection.
  • unmapped — The payroll system associated with this Item is not yet known. If an unmapped Item is selected in Link, the user will be given the option to search for the relevant payroll system and attempt to connect using their login credentials.
Available options:
verified,
mapped,
unmapped
matching_score
string

Confidence score based on the degree of similarity between the Item and the search term. Ranges from "1.00" (strong match) to "0.01" (weak match).

matching_score is only returned when listing Items and is only applicable when the q "free-text search" query parameter is used.

features
object

What data fields the Item supports, the Item's deposit switching capabilities, and how often the Item is refreshed with new data.

Only returned when retrieving individual Items by Item ID.